### Method

# GLib Sequence is_empty

since: 2.48

#### Declaration

    gboolean
    g_sequence_is_empty (
      GSequence* seq
    )

#### Description

Returns `TRUE` if the sequence contains zero items.

This function is functionally identical to checking the result of `g_sequence_get_length()` being equal to zero. However this function is implemented in O(1) running time.

Available since: 2.48

#### Return value

Type: `gboolean`

`TRUE` if the sequence is empty, otherwise `FALSE`.